/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.project.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 项目概况Entity
 * @author 姚儒彬
 * @version 2017-10-11
 */
public class Projectgeneral extends DataEntity<Projectgeneral> {
	
	private static final long serialVersionUID = 1L;
	private String demandDepartment;		// 需求部门
	private String projectType;		// 工程类型(0机电、1房建、2市政、3交通、4政府采购、5其他)
	private String constructionSite;		// 建设地点
	private String supervisionUnit;		// 监督单位
	private String serviceClassification;		// 服务分类
	private String fundAttribute;		// 资金属性
	private String assetNature;		// 资产性质
	private String tenderScope;		// 招标范围
	private String onlineBidding;		// 是否网上招投标(0否,1是)
	private String evaluationExpert;		// 是否录入评标专家(0否,1是)
	private String priceCeiling;		// 最高限价(0否,1是)
	private String bidPriceOrBidControlPrice;		// 标底或招标控制价(0否,1是)
	private String bidPriceOrBidControlPriceMoney;		// 标底或招标控制价(元)
	private String bidEvaluationOfficer;		// 评标委员会负责人
	private String bidEvaluationStaff;		// 与评标活动有关工作人员
	private String projectId;		// 项目主键
	
	public Projectgeneral() {
		super();
	}

	public Projectgeneral(String id){
		super(id);
	}

	@ExcelField(title="需求部门", align=2, sort=7)
	public String getDemandDepartment() {
		return demandDepartment;
	}

	public void setDemandDepartment(String demandDepartment) {
		this.demandDepartment = demandDepartment;
	}
	
	@ExcelField(title="工程类型(0机电、1房建、2市政、3交通、4政府采购、5其他)", dictType="", align=2, sort=8)
	public String getProjectType() {
		return projectType;
	}

	public void setProjectType(String projectType) {
		this.projectType = projectType;
	}
	
	@ExcelField(title="建设地点", align=2, sort=9)
	public String getConstructionSite() {
		return constructionSite;
	}

	public void setConstructionSite(String constructionSite) {
		this.constructionSite = constructionSite;
	}
	
	@ExcelField(title="监督单位", align=2, sort=10)
	public String getSupervisionUnit() {
		return supervisionUnit;
	}

	public void setSupervisionUnit(String supervisionUnit) {
		this.supervisionUnit = supervisionUnit;
	}
	
	@ExcelField(title="服务分类", align=2, sort=11)
	public String getServiceClassification() {
		return serviceClassification;
	}

	public void setServiceClassification(String serviceClassification) {
		this.serviceClassification = serviceClassification;
	}
	
	@ExcelField(title="资金属性", align=2, sort=12)
	public String getFundAttribute() {
		return fundAttribute;
	}

	public void setFundAttribute(String fundAttribute) {
		this.fundAttribute = fundAttribute;
	}
	
	@ExcelField(title="资产性质", align=2, sort=13)
	public String getAssetNature() {
		return assetNature;
	}

	public void setAssetNature(String assetNature) {
		this.assetNature = assetNature;
	}
	
	@ExcelField(title="招标范围", align=2, sort=14)
	public String getTenderScope() {
		return tenderScope;
	}

	public void setTenderScope(String tenderScope) {
		this.tenderScope = tenderScope;
	}
	
	@ExcelField(title="是否网上招投标(0否,1是)", dictType="", align=2, sort=15)
	public String getOnlineBidding() {
		return onlineBidding;
	}

	public void setOnlineBidding(String onlineBidding) {
		this.onlineBidding = onlineBidding;
	}
	
	@ExcelField(title="是否录入评标专家(0否,1是)", dictType="", align=2, sort=16)
	public String getEvaluationExpert() {
		return evaluationExpert;
	}

	public void setEvaluationExpert(String evaluationExpert) {
		this.evaluationExpert = evaluationExpert;
	}
	
	@ExcelField(title="最高限价(0否,1是)", dictType="", align=2, sort=17)
	public String getPriceCeiling() {
		return priceCeiling;
	}

	public void setPriceCeiling(String priceCeiling) {
		this.priceCeiling = priceCeiling;
	}
	
	@ExcelField(title="标底或招标控制价(0否,1是)", dictType="", align=2, sort=18)
	public String getBidPriceOrBidControlPrice() {
		return bidPriceOrBidControlPrice;
	}

	public void setBidPriceOrBidControlPrice(String bidPriceOrBidControlPrice) {
		this.bidPriceOrBidControlPrice = bidPriceOrBidControlPrice;
	}
	
	@ExcelField(title="标底或招标控制价(元)", align=2, sort=19)
	public String getBidPriceOrBidControlPriceMoney() {
		return bidPriceOrBidControlPriceMoney;
	}

	public void setBidPriceOrBidControlPriceMoney(String bidPriceOrBidControlPriceMoney) {
		this.bidPriceOrBidControlPriceMoney = bidPriceOrBidControlPriceMoney;
	}
	
	@ExcelField(title="评标委员会负责人", align=2, sort=20)
	public String getBidEvaluationOfficer() {
		return bidEvaluationOfficer;
	}

	public void setBidEvaluationOfficer(String bidEvaluationOfficer) {
		this.bidEvaluationOfficer = bidEvaluationOfficer;
	}
	
	@ExcelField(title="与评标活动有关工作人员", align=2, sort=21)
	public String getBidEvaluationStaff() {
		return bidEvaluationStaff;
	}

	public void setBidEvaluationStaff(String bidEvaluationStaff) {
		this.bidEvaluationStaff = bidEvaluationStaff;
	}
	
	@ExcelField(title="项目主键", align=2, sort=22)
	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}
	
}